# Insolvency

### Output

| Attribute                  | Type           | Description                        | Additional                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| -------------------------- | -------------- | ---------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [cases](#insolvency-cases) | array\<object> | List of insolvency cases.          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| etag                       | string         | The ETag of the resource.          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| status                     | string         | Company insolvency status details. | <p>Possible values are:</p><ul><li><code>live-propopsed-transfer-from-gb</code></li><li><code>voluntary-arrangement</code></li><li><code>voluntary-arrangement-receivership</code></li><li><code>live-receiver-manager-on-at-least-one-charge</code></li><li><code>receiver-manager-or-administrative-receiver</code></li><li><code>receiver-manager</code></li><li><code>administrative-receiver</code></li><li><code>administration-order</code></li><li><code>receivership</code></li><li><code>in-administration</code></li></ul> |

### Insolvency Cases

<table><thead><tr><th>Attribute</th><th width="146">Type</th><th>Description</th><th>Additional</th></tr></thead><tbody><tr><td><a href="#case-dates">dates</a></td><td>array&#x3C;object></td><td>The dates specific to the case.</td><td></td></tr><tr><td><a href="#case-links">links</a></td><td>object</td><td>The practitioners for the case.</td><td>Optional</td></tr><tr><td>notes</td><td>array&#x3C;string></td><td>Notes specific to the case.</td><td>Optional</td></tr><tr><td>number</td><td>string</td><td>The case number.</td><td>Optional</td></tr><tr><td><a href="#case-practitioners">practitioners</a></td><td>array&#x3C;object></td><td>The practitioners for the case.</td><td></td></tr><tr><td>type</td><td>string</td><td>The type of case.</td><td><p>Possible values are:</p><ul><li><code>compulsory-liquidation</code></li><li><code>creditors-voluntary-liquidation</code></li><li><code>members-voluntary-liquidation</code></li><li><code>in-administration</code></li><li><code>corporate-voluntary-arrangement</code></li><li><code>corporate-voluntary-arrangement-moratorium</code></li><li><code>administration-order</code></li><li><code>receiver-manager</code></li><li><code>administrative-receiver</code></li><li><code>receivership</code></li><li><code>foreign-insolvency</code></li><li><code>moratorium</code></li></ul></td></tr></tbody></table>

### Case Dates

<table><thead><tr><th>Attribute</th><th width="88">Type</th><th>Description</th><th>Additional</th></tr></thead><tbody><tr><td>date</td><td>date</td><td>The case date, described by date_type.</td><td></td></tr><tr><td>type</td><td>string</td><td>Describes what date is represented.</td><td><p>Possible values are:</p><ul><li><code>instrumented-on</code></li><li><code>administration-started-on</code></li><li><code>administration-discharged-on</code></li><li><code>administration-ended-on</code></li><li><code>concluded-winding-up-on</code></li><li><code>petitioned-on</code></li><li><code>ordered-to-wind-up-on</code></li><li><code>due-to-be-dissolved-on</code></li><li><code>case-end-on</code></li><li><code>wound-up-on</code></li><li><code>voluntary-arrangement-started-on</code></li><li><code>voluntary-arrangement-ended-on</code></li><li><code>moratorium-started-on</code></li><li><code>moratorium-ended-on</code></li><li><code>declaration-solvent-on</code></li></ul></td></tr></tbody></table>

### Case Links

| Attribute | Type   | Description                                         | Additonal |
| --------- | ------ | --------------------------------------------------- | --------- |
| charge    | string | The link to the charge this case is lodged against. | Optional  |

### Case Practitioners

| Attribute                        | Type           | Description                                           | Additional                                                                                                                                                                                                                                                                                                                                                           |
| -------------------------------- | -------------- | ----------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [address](#practitioner-address) | array\<object> | The practitioners' address.                           |                                                                                                                                                                                                                                                                                                                                                                      |
| appointedOn                      | date           | The date the practitioner was appointed on.           |                                                                                                                                                                                                                                                                                                                                                                      |
| ceasedToActOn                    | date           | The date the practitioner ceased to act for the case. |                                                                                                                                                                                                                                                                                                                                                                      |
| name                             | string         | The name of the practitioner.                         |                                                                                                                                                                                                                                                                                                                                                                      |
| role                             | string         | The type of role.                                     | <p>Optional. Possible values are:</p><ul><li><code>final-liquidator</code></li><li><code>receiver</code></li><li><code>receiver-manager</code></li><li><code>proposed-liquidator</code></li><li><code>provisional-liquidator</code></li><li><code>administrative-receiver</code></li><li><code>practitioner</code></li><li><code>interim-liquidator</code></li></ul> |

### Practitioner Address

| Attribute    | Type   | Description                            | Additional |
| ------------ | ------ | -------------------------------------- | ---------- |
| addressLine1 | string | The first line of the address.         |            |
| addressLine2 | string | The second line of the address.        | Optional   |
| country      | string | The country.                           | Optional   |
| locality     | string | The locality. For example London.      | Optional   |
| postalCode   | string | The postal code. For example CF14 3UZ. | Optional   |
| region       | string | The region. For example Surrey.        | Optional   |

### Case Type

| Attribute | Type   | Description       |
| --------- | ------ | ----------------- |
| type      | string | The type of case. |

### Example

```
{
    "cases": [
        {
            "dates": [
                {
                    "date": "2023-01-15",
                    "type": "Type A"
                },
                {
                    "date": "2023-02-20",
                    "type": "Type B"
                }
            ],
            "links": {
                "charge": "https://example.com/charge/123"
            },
            "notes": [
                "Note 1",
                "Note 2"
            ],
            "number": "CASE123",
            "practitioners": [
                {
                    "address": [
                        {
                            "addressLine1": "123 Main Street",
                            "addressLine2": "Suite 456",
                            "country": "United States",
                            "locality": "Cityville",
                            "postalCode": "12345",
                            "region": "Stateville"
                        }
                    ],
                    "appointedOn": "2023-01-10",
                    "ceasedToActOn": null,
                    "name": "John Doe",
                    "role": "Lawyer"
                }
            ],
            "type": "Legal Case"
        }
    ],
    "etag": "abc123",
    "status": "Active"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/companies-house/public-data-api/insolvency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
